package SHARK2.keymon.com.mx;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class c_nuevocliente_subs_0 {


public static RemoteObject  _b4xpage_appear(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("B4XPage_Appear (c_nuevocliente) ","c_nuevocliente",12,__ref.getField(false, "ba"),__ref,95);
if (RapidSub.canDelegate("b4xpage_appear")) { return __ref.runUserSub(false, "c_nuevocliente","b4xpage_appear", __ref);}
RemoteObject _pol = RemoteObject.declareNull("anywheresoftware.b4a.sql.SQL.CursorWrapper");
int _poli = 0;
RemoteObject _coords = RemoteObject.declareNull("anywheresoftware.b4a.objects.MapFragmentWrapper.LatLngWrapper");
RemoteObject _items = RemoteObject.declareNull("anywheresoftware.b4a.objects.collections.List");
int _i = 0;
 BA.debugLineNum = 95;BA.debugLine="Sub B4XPage_Appear";
Debug.ShouldStop(1073741824);
 BA.debugLineNum = 96;BA.debugLine="et_direccion.Text = \"\"";
Debug.ShouldStop(-2147483648);
__ref.getField(false,"_et_direccion" /*RemoteObject*/ ).runMethodAndSync(true,"setText",BA.ObjectToCharSequence(""));
 BA.debugLineNum = 97;BA.debugLine="E_NOMBRE.Text =  \"\"";
Debug.ShouldStop(1);
__ref.getField(false,"_e_nombre" /*RemoteObject*/ ).runMethodAndSync(true,"setText",BA.ObjectToCharSequence(""));
 BA.debugLineNum = 98;BA.debugLine="ET_Atiende.Text = \"\"";
Debug.ShouldStop(2);
__ref.getField(false,"_et_atiende" /*RemoteObject*/ ).runMethodAndSync(true,"setText",BA.ObjectToCharSequence(""));
 BA.debugLineNum = 99;BA.debugLine="et_colonia.Text = \"\"";
Debug.ShouldStop(4);
__ref.getField(false,"_et_colonia" /*RemoteObject*/ ).runMethodAndSync(true,"setText",BA.ObjectToCharSequence(""));
 BA.debugLineNum = 100;BA.debugLine="et_telefono.Text = \"\"";
Debug.ShouldStop(8);
__ref.getField(false,"_et_telefono" /*RemoteObject*/ ).runMethodAndSync(true,"setText",BA.ObjectToCharSequence(""));
 BA.debugLineNum = 101;BA.debugLine="If Not(Starter.gps.GPSEnabled) Then";
Debug.ShouldStop(16);
if (c_nuevocliente.__c.runMethod(true,"Not",(Object)(c_nuevocliente._starter._gps /*RemoteObject*/ .runMethod(true,"getGPSEnabled"))).<Boolean>get().booleanValue()) { 
 BA.debugLineNum = 102;BA.debugLine="ToastMessageShow(\"Es necesario tener el GPS ence";
Debug.ShouldStop(32);
c_nuevocliente.__c.runVoidMethod ("ToastMessageShow",(Object)(BA.ObjectToCharSequence("Es necesario tener el GPS encendido")),(Object)(c_nuevocliente.__c.getField(true,"True")));
 BA.debugLineNum = 103;BA.debugLine="StartActivity(Starter.gps.LocationSettingsIntent";
Debug.ShouldStop(64);
c_nuevocliente.__c.runVoidMethod ("StartActivity",__ref.getField(false, "ba"),(Object)((c_nuevocliente._starter._gps /*RemoteObject*/ .runMethod(false,"getLocationSettingsIntent"))));
 };
 BA.debugLineNum = 105;BA.debugLine="GUARDA.Visible = False";
Debug.ShouldStop(256);
__ref.getField(false,"_guarda" /*RemoteObject*/ ).runMethod(true,"setVisible",c_nuevocliente.__c.getField(true,"False"));
 BA.debugLineNum = 106;BA.debugLine="Subs.panelVisible(p_nuevoCliente, 0, 0)";
Debug.ShouldStop(512);
c_nuevocliente._subs.runVoidMethod ("_panelvisible" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(__ref.getField(false,"_p_nuevocliente" /*RemoteObject*/ )),(Object)(BA.numberCast(int.class, 0)),(Object)(BA.numberCast(int.class, 0)));
 BA.debugLineNum = 107;BA.debugLine="p_nuevoCliente.Height = Root.Height";
Debug.ShouldStop(1024);
__ref.getField(false,"_p_nuevocliente" /*RemoteObject*/ ).runMethod(true,"setHeight",__ref.getField(false,"_root" /*RemoteObject*/ ).runMethod(true,"getHeight"));
 BA.debugLineNum = 108;BA.debugLine="p_nuevoCliente.Width = Root.Width";
Debug.ShouldStop(2048);
__ref.getField(false,"_p_nuevocliente" /*RemoteObject*/ ).runMethod(true,"setWidth",__ref.getField(false,"_root" /*RemoteObject*/ ).runMethod(true,"getWidth"));
 BA.debugLineNum = 109;BA.debugLine="Subs.centraEtiqueta(Label1, Root.Width)";
Debug.ShouldStop(4096);
c_nuevocliente._subs.runVoidMethod ("_centraetiqueta" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(__ref.getField(false,"_label1" /*RemoteObject*/ )),(Object)(__ref.getField(false,"_root" /*RemoteObject*/ ).runMethod(true,"getWidth")));
 BA.debugLineNum = 110;BA.debugLine="Subs.centraEtiqueta(Label5, Root.Width)";
Debug.ShouldStop(8192);
c_nuevocliente._subs.runVoidMethod ("_centraetiqueta" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(__ref.getField(false,"_label5" /*RemoteObject*/ )),(Object)(__ref.getField(false,"_root" /*RemoteObject*/ ).runMethod(true,"getWidth")));
 BA.debugLineNum = 111;BA.debugLine="Subs.centraEtiqueta(Label6, Root.Width)";
Debug.ShouldStop(16384);
c_nuevocliente._subs.runVoidMethod ("_centraetiqueta" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(__ref.getField(false,"_label6" /*RemoteObject*/ )),(Object)(__ref.getField(false,"_root" /*RemoteObject*/ ).runMethod(true,"getWidth")));
 BA.debugLineNum = 112;BA.debugLine="Subs.centraEtiqueta(Label2, Root.Width)";
Debug.ShouldStop(32768);
c_nuevocliente._subs.runVoidMethod ("_centraetiqueta" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(__ref.getField(false,"_label2" /*RemoteObject*/ )),(Object)(__ref.getField(false,"_root" /*RemoteObject*/ ).runMethod(true,"getWidth")));
 BA.debugLineNum = 113;BA.debugLine="Subs.centraEtiqueta(Label3, Root.Width)";
Debug.ShouldStop(65536);
c_nuevocliente._subs.runVoidMethod ("_centraetiqueta" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(__ref.getField(false,"_label3" /*RemoteObject*/ )),(Object)(__ref.getField(false,"_root" /*RemoteObject*/ ).runMethod(true,"getWidth")));
 BA.debugLineNum = 114;BA.debugLine="Subs.centraEtiqueta(l_sinUbicacion, Root.Width)";
Debug.ShouldStop(131072);
c_nuevocliente._subs.runVoidMethod ("_centraetiqueta" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(__ref.getField(false,"_l_sinubicacion" /*RemoteObject*/ )),(Object)(__ref.getField(false,"_root" /*RemoteObject*/ ).runMethod(true,"getWidth")));
 BA.debugLineNum = 115;BA.debugLine="Subs.centraEtiqueta(b_ubicacion, Root.Width)";
Debug.ShouldStop(262144);
c_nuevocliente._subs.runVoidMethod ("_centraetiqueta" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(__ref.getField(false,"_b_ubicacion" /*RemoteObject*/ )),(Object)(__ref.getField(false,"_root" /*RemoteObject*/ ).runMethod(true,"getWidth")));
 BA.debugLineNum = 116;BA.debugLine="Subs.centraPanel(p_botones, Root.Width)";
Debug.ShouldStop(524288);
c_nuevocliente._subs.runVoidMethod ("_centrapanel" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(__ref.getField(false,"_p_botones" /*RemoteObject*/ )),(Object)(__ref.getField(false,"_root" /*RemoteObject*/ ).runMethod(true,"getWidth")));
 BA.debugLineNum = 117;BA.debugLine="E_NOMBRE.Left = Round(Root.Width/2)-(E_NOMBRE.Wid";
Debug.ShouldStop(1048576);
__ref.getField(false,"_e_nombre" /*RemoteObject*/ ).runMethod(true,"setLeft",BA.numberCast(int.class, RemoteObject.solve(new RemoteObject[] {c_nuevocliente.__c.runMethod(true,"Round",(Object)(RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_root" /*RemoteObject*/ ).runMethod(true,"getWidth"),RemoteObject.createImmutable(2)}, "/",0, 0))),(RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_e_nombre" /*RemoteObject*/ ).runMethod(true,"getWidth"),RemoteObject.createImmutable(2)}, "/",0, 0))}, "-",1, 0)));
 BA.debugLineNum = 118;BA.debugLine="et_cp.Left = Round(Root.Width/2)-(E_NOMBRE.Width/";
Debug.ShouldStop(2097152);
__ref.getField(false,"_et_cp" /*RemoteObject*/ ).runMethod(true,"setLeft",BA.numberCast(int.class, RemoteObject.solve(new RemoteObject[] {c_nuevocliente.__c.runMethod(true,"Round",(Object)(RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_root" /*RemoteObject*/ ).runMethod(true,"getWidth"),RemoteObject.createImmutable(2)}, "/",0, 0))),(RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_e_nombre" /*RemoteObject*/ ).runMethod(true,"getWidth"),RemoteObject.createImmutable(2)}, "/",0, 0))}, "-",1, 0)));
 BA.debugLineNum = 119;BA.debugLine="et_colonia.Left = Round(Root.Width/2)-(et_colonia";
Debug.ShouldStop(4194304);
__ref.getField(false,"_et_colonia" /*RemoteObject*/ ).runMethod(true,"setLeft",BA.numberCast(int.class, RemoteObject.solve(new RemoteObject[] {c_nuevocliente.__c.runMethod(true,"Round",(Object)(RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_root" /*RemoteObject*/ ).runMethod(true,"getWidth"),RemoteObject.createImmutable(2)}, "/",0, 0))),(RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_et_colonia" /*RemoteObject*/ ).runMethod(true,"getWidth"),RemoteObject.createImmutable(2)}, "/",0, 0))}, "-",1, 0)));
 BA.debugLineNum = 120;BA.debugLine="et_direccion.Left = Round(Root.Width/2)-(et_direc";
Debug.ShouldStop(8388608);
__ref.getField(false,"_et_direccion" /*RemoteObject*/ ).runMethod(true,"setLeft",BA.numberCast(int.class, RemoteObject.solve(new RemoteObject[] {c_nuevocliente.__c.runMethod(true,"Round",(Object)(RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_root" /*RemoteObject*/ ).runMethod(true,"getWidth"),RemoteObject.createImmutable(2)}, "/",0, 0))),(RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_et_direccion" /*RemoteObject*/ ).runMethod(true,"getWidth"),RemoteObject.createImmutable(2)}, "/",0, 0))}, "-",1, 0)));
 BA.debugLineNum = 121;BA.debugLine="If B4XPages.MainPage.lat_gps <> \"0.0\" Then";
Debug.ShouldStop(16777216);
if (RemoteObject.solveBoolean("!",c_nuevocliente._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(true,"_lat_gps" /*RemoteObject*/ ),BA.ObjectToString("0.0"))) { 
 BA.debugLineNum = 122;BA.debugLine="GUARDA.Visible = True 'Si hay ubicaccion, mostra";
Debug.ShouldStop(33554432);
__ref.getField(false,"_guarda" /*RemoteObject*/ ).runMethod(true,"setVisible",c_nuevocliente.__c.getField(true,"True"));
 BA.debugLineNum = 123;BA.debugLine="l_sinUbicacion.Visible = True";
Debug.ShouldStop(67108864);
__ref.getField(false,"_l_sinubicacion" /*RemoteObject*/ ).runMethod(true,"setVisible",c_nuevocliente.__c.getField(true,"True"));
 };
 BA.debugLineNum = 126;BA.debugLine="CallSubDelayed(Tracker, \"Track\")";
Debug.ShouldStop(536870912);
c_nuevocliente.__c.runVoidMethod ("CallSubDelayed",__ref.getField(false, "ba"),(Object)((c_nuevocliente._tracker.getObject())),(Object)(RemoteObject.createImmutable("Track")));
 BA.debugLineNum = 127;BA.debugLine="CallSubDelayed(Tracker, \"StartFLPSmall\")";
Debug.ShouldStop(1073741824);
c_nuevocliente.__c.runVoidMethod ("CallSubDelayed",__ref.getField(false, "ba"),(Object)((c_nuevocliente._tracker.getObject())),(Object)(RemoteObject.createImmutable("StartFLPSmall")));
 BA.debugLineNum = 128;BA.debugLine="If Tracker.FLP.IsInitialized And Tracker.FLP.GetL";
Debug.ShouldStop(-2147483648);
if (RemoteObject.solveBoolean(".",c_nuevocliente._tracker._flp /*RemoteObject*/ .runMethod(true,"IsInitialized")) && RemoteObject.solveBoolean(".",c_nuevocliente._tracker._flp /*RemoteObject*/ .runMethod(false,"GetLastKnownLocation").runMethod(true,"IsInitialized"))) { 
 BA.debugLineNum = 129;BA.debugLine="B4XPages.MainPage.lat_gps = Tracker.FLP.GetLastK";
Debug.ShouldStop(1);
c_nuevocliente._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).setField ("_lat_gps" /*RemoteObject*/ ,BA.NumberToString(c_nuevocliente._tracker._flp /*RemoteObject*/ .runMethod(false,"GetLastKnownLocation").runMethod(true,"getLatitude")));
 BA.debugLineNum = 130;BA.debugLine="B4XPages.MainPage.lon_gps = Tracker.FLP.GetLastK";
Debug.ShouldStop(2);
c_nuevocliente._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).setField ("_lon_gps" /*RemoteObject*/ ,BA.NumberToString(c_nuevocliente._tracker._flp /*RemoteObject*/ .runMethod(false,"GetLastKnownLocation").runMethod(true,"getLongitude")));
 BA.debugLineNum = 132;BA.debugLine="GPS_LocationChanged(Tracker.FLP.GetLastKnownLoca";
Debug.ShouldStop(8);
__ref.runClassMethod (SHARK2.keymon.com.mx.c_nuevocliente.class, "_gps_locationchanged" /*RemoteObject*/ ,(Object)(c_nuevocliente._tracker._flp /*RemoteObject*/ .runMethod(false,"GetLastKnownLocation")));
 };
 BA.debugLineNum = 135;BA.debugLine="lista_punta.Initialize";
Debug.ShouldStop(64);
__ref.getField(false,"_lista_punta" /*RemoteObject*/ ).runVoidMethod ("Initialize");
 BA.debugLineNum = 136;BA.debugLine="Dim pol As Cursor = Starter.skmt.ExecQuery(\"SELEC";
Debug.ShouldStop(128);
_pol = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");
_pol = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.sql.SQL.CursorWrapper"), c_nuevocliente._starter._skmt /*RemoteObject*/ .runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("SELECT LAT, LONG FROM POLIGONO"))));Debug.locals.put("pol", _pol);Debug.locals.put("pol", _pol);
 BA.debugLineNum = 137;BA.debugLine="If pol.RowCount > 0 Then";
Debug.ShouldStop(256);
if (RemoteObject.solveBoolean(">",_pol.runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 139;BA.debugLine="For poli = 0 To pol.RowCount -1";
Debug.ShouldStop(1024);
{
final int step40 = 1;
final int limit40 = RemoteObject.solve(new RemoteObject[] {_pol.runMethod(true,"getRowCount"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_poli = 0 ;
for (;(step40 > 0 && _poli <= limit40) || (step40 < 0 && _poli >= limit40) ;_poli = ((int)(0 + _poli + step40))  ) {
Debug.locals.put("poli", _poli);
 BA.debugLineNum = 140;BA.debugLine="pol.Position = poli";
Debug.ShouldStop(2048);
_pol.runMethod(true,"setPosition",BA.numberCast(int.class, _poli));
 BA.debugLineNum = 141;BA.debugLine="Dim coords As LatLng";
Debug.ShouldStop(4096);
_coords = RemoteObject.createNew ("anywheresoftware.b4a.objects.MapFragmentWrapper.LatLngWrapper");Debug.locals.put("coords", _coords);
 BA.debugLineNum = 142;BA.debugLine="coords.Initialize(pol.GetString(\"LAT\"), pol.Get";
Debug.ShouldStop(8192);
_coords.runVoidMethod ("Initialize",(Object)(BA.numberCast(double.class, _pol.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("LAT"))))),(Object)(BA.numberCast(double.class, _pol.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("LONG"))))));
 BA.debugLineNum = 143;BA.debugLine="lista_punta.Add(coords)";
Debug.ShouldStop(16384);
__ref.getField(false,"_lista_punta" /*RemoteObject*/ ).runVoidMethod ("Add",(Object)((_coords.getObject())));
 }
}Debug.locals.put("poli", _poli);
;
 };
 BA.debugLineNum = 147;BA.debugLine="If Not(Starter.GPS.GPSEnabled) Then";
Debug.ShouldStop(262144);
if (c_nuevocliente.__c.runMethod(true,"Not",(Object)(c_nuevocliente._starter._gps /*RemoteObject*/ .runMethod(true,"getGPSEnabled"))).<Boolean>get().booleanValue()) { 
 BA.debugLineNum = 148;BA.debugLine="ToastMessageShow(\"Debe Activar el GPS del Equipo";
Debug.ShouldStop(524288);
c_nuevocliente.__c.runVoidMethod ("ToastMessageShow",(Object)(BA.ObjectToCharSequence("Debe Activar el GPS del Equipo.")),(Object)(c_nuevocliente.__c.getField(true,"True")));
 BA.debugLineNum = 149;BA.debugLine="StartActivity(Starter.GPS.LocationSettingsIntent";
Debug.ShouldStop(1048576);
c_nuevocliente.__c.runVoidMethod ("StartActivity",__ref.getField(false, "ba"),(Object)((c_nuevocliente._starter._gps /*RemoteObject*/ .runMethod(false,"getLocationSettingsIntent"))));
 }else {
 BA.debugLineNum = 151;BA.debugLine="Starter.GPS.Start(0, 0)";
Debug.ShouldStop(4194304);
c_nuevocliente._starter._gps /*RemoteObject*/ .runVoidMethodAndSync ("Start",__ref.getField(false, "ba"),(Object)(BA.numberCast(long.class, 0)),(Object)(BA.numberCast(float.class, 0)));
 };
 BA.debugLineNum = 154;BA.debugLine="CallSubDelayed(Tracker, \"StartFLPSmall\")";
Debug.ShouldStop(33554432);
c_nuevocliente.__c.runVoidMethod ("CallSubDelayed",__ref.getField(false, "ba"),(Object)((c_nuevocliente._tracker.getObject())),(Object)(RemoteObject.createImmutable("StartFLPSmall")));
 BA.debugLineNum = 156;BA.debugLine="c = Starter.skmt.ExecQuery(\"SELECT GIRO FROM CAT_";
Debug.ShouldStop(134217728);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_nuevocliente._starter._skmt /*RemoteObject*/ .runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("SELECT GIRO FROM CAT_GIRO order by 1"))));
 BA.debugLineNum = 157;BA.debugLine="Dim Items As List";
Debug.ShouldStop(268435456);
_items = RemoteObject.createNew ("anywheresoftware.b4a.objects.collections.List");Debug.locals.put("Items", _items);
 BA.debugLineNum = 158;BA.debugLine="Items.Initialize";
Debug.ShouldStop(536870912);
_items.runVoidMethod ("Initialize");
 BA.debugLineNum = 159;BA.debugLine="Items.Add(\"SELECCIONA UNA OPCIÓN\")";
Debug.ShouldStop(1073741824);
_items.runVoidMethod ("Add",(Object)((RemoteObject.createImmutable("SELECCIONA UNA OPCIÓN"))));
 BA.debugLineNum = 160;BA.debugLine="If c.RowCount > 0 Then";
Debug.ShouldStop(-2147483648);
if (RemoteObject.solveBoolean(">",__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 161;BA.debugLine="For i = 0 To c.RowCount-1";
Debug.ShouldStop(1);
{
final int step59 = 1;
final int limit59 = RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
for (;(step59 > 0 && _i <= limit59) || (step59 < 0 && _i >= limit59) ;_i = ((int)(0 + _i + step59))  ) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 162;BA.debugLine="c.Position = i";
Debug.ShouldStop(2);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, _i));
 BA.debugLineNum = 163;BA.debugLine="Items.Add(c.GetString(\"GIRO\"))";
Debug.ShouldStop(4);
_items.runVoidMethod ("Add",(Object)((__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("GIRO"))))));
 }
}Debug.locals.put("i", _i);
;
 BA.debugLineNum = 165;BA.debugLine="cb_giro.SetItems(Items)";
Debug.ShouldStop(16);
__ref.getField(false,"_cb_giro" /*RemoteObject*/ ).runClassMethod (SHARK2.keymon.com.mx.b4xcombobox.class, "_setitems" /*RemoteObject*/ ,(Object)(_items));
 };
 BA.debugLineNum = 167;BA.debugLine="giros = \"SELECCIONA UNA OPCIÓN\"";
Debug.ShouldStop(64);
__ref.setField ("_giros" /*RemoteObject*/ ,BA.ObjectToString("SELECCIONA UNA OPCIÓN"));
 BA.debugLineNum = 168;BA.debugLine="c.Close";
Debug.ShouldStop(128);
__ref.getField(false,"_c" /*RemoteObject*/ ).runVoidMethod ("Close");
 BA.debugLineNum = 169;BA.debugLine="End Sub";
Debug.ShouldStop(256);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static void  _b4xpage_created(RemoteObject __ref,RemoteObject _root1) throws Exception{
try {
		Debug.PushSubsStack("B4XPage_Created (c_nuevocliente) ","c_nuevocliente",12,__ref.getField(false, "ba"),__ref,55);
if (RapidSub.canDelegate("b4xpage_created")) { __ref.runUserSub(false, "c_nuevocliente","b4xpage_created", __ref, _root1); return;}
ResumableSub_B4XPage_Created rsub = new ResumableSub_B4XPage_Created(null,__ref,_root1);
rsub.resume(null, null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static class ResumableSub_B4XPage_Created extends BA.ResumableSub {
public ResumableSub_B4XPage_Created(SHARK2.keymon.com.mx.c_nuevocliente parent,RemoteObject __ref,RemoteObject _root1) {
this.parent = parent;
this.__ref = __ref;
this._root1 = _root1;
}
java.util.LinkedHashMap<String, Object> rsLocals = new java.util.LinkedHashMap<String, Object>();
RemoteObject __ref;
SHARK2.keymon.com.mx.c_nuevocliente parent;
RemoteObject _root1;
RemoteObject _permission = RemoteObject.createImmutable("");
RemoteObject _result = RemoteObject.createImmutable(false);

@Override
public void resume(BA ba, RemoteObject result) throws Exception{
try {
		Debug.PushSubsStack("B4XPage_Created (c_nuevocliente) ","c_nuevocliente",12,__ref.getField(false, "ba"),__ref,55);
Debug.locals = rsLocals;Debug.currentSubFrame.locals = rsLocals;

    while (true) {
        switch (state) {
            case -1:
return;

case 0:
//C
this.state = 1;
Debug.locals.put("_ref", __ref);
Debug.locals.put("Root1", _root1);
 BA.debugLineNum = 57;BA.debugLine="Root = Root1";
Debug.ShouldStop(16777216);
__ref.setField ("_root" /*RemoteObject*/ ,_root1);
 BA.debugLineNum = 59;BA.debugLine="Root.LoadLayout(\"nuevocliente\")";
Debug.ShouldStop(67108864);
__ref.getField(false,"_root" /*RemoteObject*/ ).runVoidMethodAndSync ("LoadLayout",(Object)(RemoteObject.createImmutable("nuevocliente")),__ref.getField(false, "ba"));
 BA.debugLineNum = 60;BA.debugLine="ruta = File.DirInternal";
Debug.ShouldStop(134217728);
__ref.setField ("_ruta" /*RemoteObject*/ ,parent.__c.getField(false,"File").runMethod(true,"getDirInternal"));
 BA.debugLineNum = 61;BA.debugLine="If File.Exists(ruta, \"kmt.db\") = False Then";
Debug.ShouldStop(268435456);
if (true) break;

case 1:
//if
this.state = 4;
if (RemoteObject.solveBoolean("=",parent.__c.getField(false,"File").runMethod(true,"Exists",(Object)(__ref.getField(true,"_ruta" /*RemoteObject*/ )),(Object)(RemoteObject.createImmutable("kmt.db"))),parent.__c.getField(true,"False"))) { 
this.state = 3;
}if (true) break;

case 3:
//C
this.state = 4;
 BA.debugLineNum = 62;BA.debugLine="File.Copy(File.DirAssets, \"kmt.db\", ruta, \"kmt.d";
Debug.ShouldStop(536870912);
parent.__c.getField(false,"File").runVoidMethod ("Copy",(Object)(parent.__c.getField(false,"File").runMethod(true,"getDirAssets")),(Object)(BA.ObjectToString("kmt.db")),(Object)(__ref.getField(true,"_ruta" /*RemoteObject*/ )),(Object)(RemoteObject.createImmutable("kmt.db")));
 if (true) break;

case 4:
//C
this.state = 5;
;
 BA.debugLineNum = 76;BA.debugLine="Starter.rp.CheckAndRequest(Starter.rp.PERMISSION_";
Debug.ShouldStop(2048);
parent._starter._rp /*RemoteObject*/ .runVoidMethod ("CheckAndRequest",__ref.getField(false, "ba"),(Object)(parent._starter._rp /*RemoteObject*/ .getField(true,"PERMISSION_WRITE_EXTERNAL_STORAGE")));
 BA.debugLineNum = 77;BA.debugLine="Wait For B4XPage_PermissionResult (Permission As";
Debug.ShouldStop(4096);
parent.__c.runVoidMethod ("WaitFor","b4xpage_permissionresult", __ref.getField(false, "ba"), anywheresoftware.b4a.pc.PCResumableSub.createDebugResumeSub(this, "c_nuevocliente", "b4xpage_created"), null);
this.state = 17;
return;
case 17:
//C
this.state = 5;
_permission = (RemoteObject) result.getArrayElement(true,RemoteObject.createImmutable(1));Debug.locals.put("Permission", _permission);
_result = (RemoteObject) result.getArrayElement(true,RemoteObject.createImmutable(2));Debug.locals.put("Result", _result);
;
 BA.debugLineNum = 78;BA.debugLine="If Result Then";
Debug.ShouldStop(8192);
if (true) break;

case 5:
//if
this.state = 10;
if (_result.<Boolean>get().booleanValue()) { 
this.state = 7;
}else {
this.state = 9;
}if (true) break;

case 7:
//C
this.state = 10;
 BA.debugLineNum = 79;BA.debugLine="Log(\"Con permisos para escritura\")";
Debug.ShouldStop(16384);
parent.__c.runVoidMethod ("LogImpl","516580632",RemoteObject.createImmutable("Con permisos para escritura"),0);
 if (true) break;

case 9:
//C
this.state = 10;
 BA.debugLineNum = 81;BA.debugLine="ToastMessageShow(\"Sin permisos de escritura!!!\",";
Debug.ShouldStop(65536);
parent.__c.runVoidMethod ("ToastMessageShow",(Object)(BA.ObjectToCharSequence("Sin permisos de escritura!!!")),(Object)(parent.__c.getField(true,"True")));
 if (true) break;

case 10:
//C
this.state = 11;
;
 BA.debugLineNum = 84;BA.debugLine="Starter.rp.CheckAndRequest(Starter.rp.PERMISSION_";
Debug.ShouldStop(524288);
parent._starter._rp /*RemoteObject*/ .runVoidMethod ("CheckAndRequest",__ref.getField(false, "ba"),(Object)(parent._starter._rp /*RemoteObject*/ .getField(true,"PERMISSION_READ_EXTERNAL_STORAGE")));
 BA.debugLineNum = 85;BA.debugLine="Wait For B4XPage_PermissionResult (Permission As";
Debug.ShouldStop(1048576);
parent.__c.runVoidMethod ("WaitFor","b4xpage_permissionresult", __ref.getField(false, "ba"), anywheresoftware.b4a.pc.PCResumableSub.createDebugResumeSub(this, "c_nuevocliente", "b4xpage_created"), null);
this.state = 18;
return;
case 18:
//C
this.state = 11;
_permission = (RemoteObject) result.getArrayElement(true,RemoteObject.createImmutable(1));Debug.locals.put("Permission", _permission);
_result = (RemoteObject) result.getArrayElement(true,RemoteObject.createImmutable(2));Debug.locals.put("Result", _result);
;
 BA.debugLineNum = 86;BA.debugLine="If Result Then";
Debug.ShouldStop(2097152);
if (true) break;

case 11:
//if
this.state = 16;
if (_result.<Boolean>get().booleanValue()) { 
this.state = 13;
}else {
this.state = 15;
}if (true) break;

case 13:
//C
this.state = 16;
 BA.debugLineNum = 87;BA.debugLine="Log(\"Con permisos para escritura\")";
Debug.ShouldStop(4194304);
parent.__c.runVoidMethod ("LogImpl","516580640",RemoteObject.createImmutable("Con permisos para escritura"),0);
 if (true) break;

case 15:
//C
this.state = 16;
 BA.debugLineNum = 89;BA.debugLine="ToastMessageShow(\"Sin permisos de lectura!!!\", T";
Debug.ShouldStop(16777216);
parent.__c.runVoidMethod ("ToastMessageShow",(Object)(BA.ObjectToCharSequence("Sin permisos de lectura!!!")),(Object)(parent.__c.getField(true,"True")));
 if (true) break;

case 16:
//C
this.state = -1;
;
 BA.debugLineNum = 91;BA.debugLine="End Sub";
Debug.ShouldStop(67108864);
if (true) break;

            }
        }
    }
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}
public static void  _b4xpage_permissionresult(RemoteObject __ref,RemoteObject _permission,RemoteObject _result) throws Exception{
}
public static RemoteObject  _cancela_click(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("CANCELA_Click (c_nuevocliente) ","c_nuevocliente",12,__ref.getField(false, "ba"),__ref,189);
if (RapidSub.canDelegate("cancela_click")) { return __ref.runUserSub(false, "c_nuevocliente","cancela_click", __ref);}
 BA.debugLineNum = 189;BA.debugLine="Sub CANCELA_Click";
Debug.ShouldStop(268435456);
 BA.debugLineNum = 190;BA.debugLine="B4XPages.ShowPage(\"Principal\")";
Debug.ShouldStop(536870912);
c_nuevocliente._b4xpages.runVoidMethod ("_showpage" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(RemoteObject.createImmutable("Principal")));
 BA.debugLineNum = 191;BA.debugLine="CallSubDelayed(Tracker, \"StartFLP\")";
Debug.ShouldStop(1073741824);
c_nuevocliente.__c.runVoidMethod ("CallSubDelayed",__ref.getField(false, "ba"),(Object)((c_nuevocliente._tracker.getObject())),(Object)(RemoteObject.createImmutable("StartFLP")));
 BA.debugLineNum = 192;BA.debugLine="End Sub";
Debug.ShouldStop(-2147483648);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _cb_giro_selectedindexchanged(RemoteObject __ref,RemoteObject _index) throws Exception{
try {
		Debug.PushSubsStack("cb_giro_SelectedIndexChanged (c_nuevocliente) ","c_nuevocliente",12,__ref.getField(false, "ba"),__ref,423);
if (RapidSub.canDelegate("cb_giro_selectedindexchanged")) { return __ref.runUserSub(false, "c_nuevocliente","cb_giro_selectedindexchanged", __ref, _index);}
Debug.locals.put("Index", _index);
 BA.debugLineNum = 423;BA.debugLine="Private Sub cb_giro_SelectedIndexChanged (Index As";
Debug.ShouldStop(64);
 BA.debugLineNum = 424;BA.debugLine="giros = cb_giro.SelectedItem";
Debug.ShouldStop(128);
__ref.setField ("_giros" /*RemoteObject*/ ,__ref.getField(false,"_cb_giro" /*RemoteObject*/ ).runClassMethod (SHARK2.keymon.com.mx.b4xcombobox.class, "_getselecteditem" /*RemoteObject*/ ));
 BA.debugLineNum = 425;BA.debugLine="End Sub";
Debug.ShouldStop(256);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _class_globals(RemoteObject __ref) throws Exception{
 //BA.debugLineNum = 1;BA.debugLine="Sub Class_Globals";
 //BA.debugLineNum = 2;BA.debugLine="Private Root As B4XView 'ignore";
c_nuevocliente._root = RemoteObject.createNew ("anywheresoftware.b4a.objects.B4XViewWrapper");__ref.setField("_root",c_nuevocliente._root);
 //BA.debugLineNum = 3;BA.debugLine="Private xui As XUI 'ignore";
c_nuevocliente._xui = RemoteObject.createNew ("anywheresoftware.b4a.objects.B4XViewWrapper.XUI");__ref.setField("_xui",c_nuevocliente._xui);
 //BA.debugLineNum = 5;BA.debugLine="Dim g As GPS";
c_nuevocliente._g = RemoteObject.createNew ("anywheresoftware.b4a.gps.GPS");__ref.setField("_g",c_nuevocliente._g);
 //BA.debugLineNum = 6;BA.debugLine="Dim ruta As String";
c_nuevocliente._ruta = RemoteObject.createImmutable("");__ref.setField("_ruta",c_nuevocliente._ruta);
 //BA.debugLineNum = 7;BA.debugLine="Dim c As Cursor";
c_nuevocliente._c = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");__ref.setField("_c",c_nuevocliente._c);
 //BA.debugLineNum = 9;BA.debugLine="Dim CANCELA As Button";
c_nuevocliente._cancela = RemoteObject.createNew ("anywheresoftware.b4a.objects.ButtonWrapper");__ref.setField("_cancela",c_nuevocliente._cancela);
 //BA.debugLineNum = 10;BA.debugLine="Dim GUARDA As Button";
c_nuevocliente._guarda = RemoteObject.createNew ("anywheresoftware.b4a.objects.ButtonWrapper");__ref.setField("_guarda",c_nuevocliente._guarda);
 //BA.debugLineNum = 11;BA.debugLine="Dim cuenta As String";
c_nuevocliente._cuenta = RemoteObject.createImmutable("");__ref.setField("_cuenta",c_nuevocliente._cuenta);
 //BA.debugLineNum = 12;BA.debugLine="Dim usuario As String";
c_nuevocliente._usuario = RemoteObject.createImmutable("");__ref.setField("_usuario",c_nuevocliente._usuario);
 //BA.debugLineNum = 13;BA.debugLine="Dim sDate,sTime As String";
c_nuevocliente._sdate = RemoteObject.createImmutable("");__ref.setField("_sdate",c_nuevocliente._sdate);
c_nuevocliente._stime = RemoteObject.createImmutable("");__ref.setField("_stime",c_nuevocliente._stime);
 //BA.debugLineNum = 14;BA.debugLine="Dim sDate2,sTime2 As String";
c_nuevocliente._sdate2 = RemoteObject.createImmutable("");__ref.setField("_sdate2",c_nuevocliente._sdate2);
c_nuevocliente._stime2 = RemoteObject.createImmutable("");__ref.setField("_stime2",c_nuevocliente._stime2);
 //BA.debugLineNum = 15;BA.debugLine="Dim no_cliente As String";
c_nuevocliente._no_cliente = RemoteObject.createImmutable("");__ref.setField("_no_cliente",c_nuevocliente._no_cliente);
 //BA.debugLineNum = 16;BA.debugLine="Dim no_ruta As String";
c_nuevocliente._no_ruta = RemoteObject.createImmutable("");__ref.setField("_no_ruta",c_nuevocliente._no_ruta);
 //BA.debugLineNum = 17;BA.debugLine="Dim lista_punta As List";
c_nuevocliente._lista_punta = RemoteObject.createNew ("anywheresoftware.b4a.objects.collections.List");__ref.setField("_lista_punta",c_nuevocliente._lista_punta);
 //BA.debugLineNum = 18;BA.debugLine="Dim r_4 As RadioButton";
c_nuevocliente._r_4 = RemoteObject.createNew ("anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper");__ref.setField("_r_4",c_nuevocliente._r_4);
 //BA.debugLineNum = 19;BA.debugLine="Dim E_NOMBRE As EditText";
c_nuevocliente._e_nombre = RemoteObject.createNew ("anywheresoftware.b4a.objects.EditTextWrapper");__ref.setField("_e_nombre",c_nuevocliente._e_nombre);
 //BA.debugLineNum = 20;BA.debugLine="Dim tgl As Toggle";
c_nuevocliente._tgl = RemoteObject.createNew ("com.rootsoft.togglelibrary.ToggleLibrary");__ref.setField("_tgl",c_nuevocliente._tgl);
 //BA.debugLineNum = 21;BA.debugLine="Private l_sinUbicacion As Label";
c_nuevocliente._l_sinubicacion = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");__ref.setField("_l_sinubicacion",c_nuevocliente._l_sinubicacion);
 //BA.debugLineNum = 22;BA.debugLine="Private p_nuevoCliente As Panel";
c_nuevocliente._p_nuevocliente = RemoteObject.createNew ("anywheresoftware.b4a.objects.PanelWrapper");__ref.setField("_p_nuevocliente",c_nuevocliente._p_nuevocliente);
 //BA.debugLineNum = 23;BA.debugLine="Private Label1 As Label";
c_nuevocliente._label1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");__ref.setField("_label1",c_nuevocliente._label1);
 //BA.debugLineNum = 24;BA.debugLine="Private p_botones As Panel";
c_nuevocliente._p_botones = RemoteObject.createNew ("anywheresoftware.b4a.objects.PanelWrapper");__ref.setField("_p_botones",c_nuevocliente._p_botones);
 //BA.debugLineNum = 25;BA.debugLine="Private p_cam As Panel";
c_nuevocliente._p_cam = RemoteObject.createNew ("anywheresoftware.b4a.objects.PanelWrapper");__ref.setField("_p_cam",c_nuevocliente._p_cam);
 //BA.debugLineNum = 26;BA.debugLine="Private p_camara As Panel";
c_nuevocliente._p_camara = RemoteObject.createNew ("anywheresoftware.b4a.objects.PanelWrapper");__ref.setField("_p_camara",c_nuevocliente._p_camara);
 //BA.debugLineNum = 27;BA.debugLine="Private b_foto_inci As Button";
c_nuevocliente._b_foto_inci = RemoteObject.createNew ("anywheresoftware.b4a.objects.ButtonWrapper");__ref.setField("_b_foto_inci",c_nuevocliente._b_foto_inci);
 //BA.debugLineNum = 29;BA.debugLine="Dim frontCamera As Boolean = False";
c_nuevocliente._frontcamera = c_nuevocliente.__c.getField(true,"False");__ref.setField("_frontcamera",c_nuevocliente._frontcamera);
 //BA.debugLineNum = 30;BA.debugLine="Dim fototomada As String = \"0\"";
c_nuevocliente._fototomada = BA.ObjectToString("0");__ref.setField("_fototomada",c_nuevocliente._fototomada);
 //BA.debugLineNum = 31;BA.debugLine="Dim ALMACEN As String";
c_nuevocliente._almacen = RemoteObject.createImmutable("");__ref.setField("_almacen",c_nuevocliente._almacen);
 //BA.debugLineNum = 32;BA.debugLine="Private et_direccion As EditText";
c_nuevocliente._et_direccion = RemoteObject.createNew ("anywheresoftware.b4a.objects.EditTextWrapper");__ref.setField("_et_direccion",c_nuevocliente._et_direccion);
 //BA.debugLineNum = 33;BA.debugLine="Private Label2 As Label";
c_nuevocliente._label2 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");__ref.setField("_label2",c_nuevocliente._label2);
 //BA.debugLineNum = 34;BA.debugLine="Dim lat As Double = 0";
c_nuevocliente._lat = BA.numberCast(double.class, 0);__ref.setField("_lat",c_nuevocliente._lat);
 //BA.debugLineNum = 35;BA.debugLine="Dim lon As Double = 0";
c_nuevocliente._lon = BA.numberCast(double.class, 0);__ref.setField("_lon",c_nuevocliente._lon);
 //BA.debugLineNum = 36;BA.debugLine="Private b_ubicacion As Label";
c_nuevocliente._b_ubicacion = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");__ref.setField("_b_ubicacion",c_nuevocliente._b_ubicacion);
 //BA.debugLineNum = 37;BA.debugLine="Private Label3 As Label";
c_nuevocliente._label3 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");__ref.setField("_label3",c_nuevocliente._label3);
 //BA.debugLineNum = 38;BA.debugLine="Private cb_giro As B4XComboBox";
c_nuevocliente._cb_giro = RemoteObject.createNew ("SHARK2.keymon.com.mx.b4xcombobox");__ref.setField("_cb_giro",c_nuevocliente._cb_giro);
 //BA.debugLineNum = 39;BA.debugLine="Dim giros As String";
c_nuevocliente._giros = RemoteObject.createImmutable("");__ref.setField("_giros",c_nuevocliente._giros);
 //BA.debugLineNum = 40;BA.debugLine="Private L_Atiende As Label";
c_nuevocliente._l_atiende = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");__ref.setField("_l_atiende",c_nuevocliente._l_atiende);
 //BA.debugLineNum = 41;BA.debugLine="Private ET_Atiende As EditText";
c_nuevocliente._et_atiende = RemoteObject.createNew ("anywheresoftware.b4a.objects.EditTextWrapper");__ref.setField("_et_atiende",c_nuevocliente._et_atiende);
 //BA.debugLineNum = 42;BA.debugLine="Private Label5 As Label";
c_nuevocliente._label5 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");__ref.setField("_label5",c_nuevocliente._label5);
 //BA.debugLineNum = 43;BA.debugLine="Private et_colonia As EditText";
c_nuevocliente._et_colonia = RemoteObject.createNew ("anywheresoftware.b4a.objects.EditTextWrapper");__ref.setField("_et_colonia",c_nuevocliente._et_colonia);
 //BA.debugLineNum = 44;BA.debugLine="Private et_telefono As EditText";
c_nuevocliente._et_telefono = RemoteObject.createNew ("anywheresoftware.b4a.objects.EditTextWrapper");__ref.setField("_et_telefono",c_nuevocliente._et_telefono);
 //BA.debugLineNum = 45;BA.debugLine="Private et_cp As EditText";
c_nuevocliente._et_cp = RemoteObject.createNew ("anywheresoftware.b4a.objects.EditTextWrapper");__ref.setField("_et_cp",c_nuevocliente._et_cp);
 //BA.debugLineNum = 46;BA.debugLine="Private Label6 As Label";
c_nuevocliente._label6 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");__ref.setField("_label6",c_nuevocliente._label6);
 //BA.debugLineNum = 47;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
public static RemoteObject  _gps_locationchanged(RemoteObject __ref,RemoteObject _location1) throws Exception{
try {
		Debug.PushSubsStack("GPS_LocationChanged (c_nuevocliente) ","c_nuevocliente",12,__ref.getField(false, "ba"),__ref,171);
if (RapidSub.canDelegate("gps_locationchanged")) { return __ref.runUserSub(false, "c_nuevocliente","gps_locationchanged", __ref, _location1);}
Debug.locals.put("Location1", _location1);
 BA.debugLineNum = 171;BA.debugLine="Sub GPS_LocationChanged (Location1 As Location)";
Debug.ShouldStop(1024);
 BA.debugLineNum = 172;BA.debugLine="If B4XPages.MainPage.lat_gps <> \"0.0\" Then";
Debug.ShouldStop(2048);
if (RemoteObject.solveBoolean("!",c_nuevocliente._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(true,"_lat_gps" /*RemoteObject*/ ),BA.ObjectToString("0.0"))) { 
 BA.debugLineNum = 173;BA.debugLine="GUARDA.Visible = True 'Si hay ubicaccion, mostra";
Debug.ShouldStop(4096);
__ref.getField(false,"_guarda" /*RemoteObject*/ ).runMethod(true,"setVisible",c_nuevocliente.__c.getField(true,"True"));
 BA.debugLineNum = 174;BA.debugLine="l_sinUbicacion.Visible = True";
Debug.ShouldStop(8192);
__ref.getField(false,"_l_sinubicacion" /*RemoteObject*/ ).runMethod(true,"setVisible",c_nuevocliente.__c.getField(true,"True"));
 BA.debugLineNum = 175;BA.debugLine="lat = Location1.Latitude";
Debug.ShouldStop(16384);
__ref.setField ("_lat" /*RemoteObject*/ ,_location1.runMethod(true,"getLatitude"));
 BA.debugLineNum = 176;BA.debugLine="lon = Location1.Longitude";
Debug.ShouldStop(32768);
__ref.setField ("_lon" /*RemoteObject*/ ,_location1.runMethod(true,"getLongitude"));
 BA.debugLineNum = 177;BA.debugLine="l_sinUbicacion.Text = (\"Latitud: \" & lat & \", Lo";
Debug.ShouldStop(65536);
__ref.getField(false,"_l_sinubicacion" /*RemoteObject*/ ).runMethod(true,"setText",BA.ObjectToCharSequence((RemoteObject.concat(RemoteObject.createImmutable("Latitud: "),__ref.getField(true,"_lat" /*RemoteObject*/ ),RemoteObject.createImmutable(", Longotud: "),__ref.getField(true,"_lon" /*RemoteObject*/ )))));
 };
 BA.debugLineNum = 180;BA.debugLine="b_ubicacion.TextSize = 13";
Debug.ShouldStop(524288);
__ref.getField(false,"_b_ubicacion" /*RemoteObject*/ ).runMethod(true,"setTextSize",BA.numberCast(float.class, 13));
 BA.debugLineNum = 181;BA.debugLine="b_ubicacion.Text = $\"Precisión GPS $1.0{Location1";
Debug.ShouldStop(1048576);
__ref.getField(false,"_b_ubicacion" /*RemoteObject*/ ).runMethod(true,"setText",BA.ObjectToCharSequence((RemoteObject.concat(RemoteObject.createImmutable("Precisión GPS "),c_nuevocliente.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("1.0")),(Object)((_location1.runMethod(true,"getAccuracy")))),RemoteObject.createImmutable(" m")))));
 BA.debugLineNum = 182;BA.debugLine="If Location1.Accuracy > 200 Then";
Debug.ShouldStop(2097152);
if (RemoteObject.solveBoolean(">",_location1.runMethod(true,"getAccuracy"),BA.numberCast(double.class, 200))) { 
 BA.debugLineNum = 183;BA.debugLine="b_ubicacion.TextColor = Colors.Red";
Debug.ShouldStop(4194304);
__ref.getField(false,"_b_ubicacion" /*RemoteObject*/ ).runMethod(true,"setTextColor",c_nuevocliente.__c.getField(false,"Colors").getField(true,"Red"));
 BA.debugLineNum = 184;BA.debugLine="b_ubicacion.TextSize = 16";
Debug.ShouldStop(8388608);
__ref.getField(false,"_b_ubicacion" /*RemoteObject*/ ).runMethod(true,"setTextSize",BA.numberCast(float.class, 16));
 BA.debugLineNum = 185;BA.debugLine="b_ubicacion.Text = $\"Mala señal $1.0{Location1.A";
Debug.ShouldStop(16777216);
__ref.getField(false,"_b_ubicacion" /*RemoteObject*/ ).runMethod(true,"setText",BA.ObjectToCharSequence((RemoteObject.concat(RemoteObject.createImmutable("Mala señal "),c_nuevocliente.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("1.0")),(Object)((_location1.runMethod(true,"getAccuracy")))),RemoteObject.createImmutable(" m")))));
 };
 BA.debugLineNum = 187;BA.debugLine="End Sub";
Debug.ShouldStop(67108864);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _guarda_click(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("GUARDA_Click (c_nuevocliente) ","c_nuevocliente",12,__ref.getField(false, "ba"),__ref,220);
if (RapidSub.canDelegate("guarda_click")) { return __ref.runUserSub(false, "c_nuevocliente","guarda_click", __ref);}
RemoteObject _hora = RemoteObject.createImmutable("");
RemoteObject _mins = RemoteObject.createImmutable("");
RemoteObject _segs = RemoteObject.createImmutable("");
 BA.debugLineNum = 220;BA.debugLine="Sub GUARDA_Click";
Debug.ShouldStop(134217728);
 BA.debugLineNum = 229;BA.debugLine="ToastMessageShow(\"El punto está DENTRO del polí";
Debug.ShouldStop(16);
c_nuevocliente.__c.runVoidMethod ("ToastMessageShow",(Object)(BA.ObjectToCharSequence("El punto está DENTRO del polígono")),(Object)(c_nuevocliente.__c.getField(true,"True")));
 BA.debugLineNum = 230;BA.debugLine="B4XPages.ShowPage(\"NuevoCliente\")";
Debug.ShouldStop(32);
c_nuevocliente._b4xpages.runVoidMethod ("_showpage" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(RemoteObject.createImmutable("NuevoCliente")));
 BA.debugLineNum = 234;BA.debugLine="If E_NOMBRE.Text = \"\" Then";
Debug.ShouldStop(512);
if (RemoteObject.solveBoolean("=",__ref.getField(false,"_e_nombre" /*RemoteObject*/ ).runMethod(true,"getText"),BA.ObjectToString(""))) { 
 BA.debugLineNum = 235;BA.debugLine="MsgboxAsync(\"Por favor captura el nombre de la";
Debug.ShouldStop(1024);
c_nuevocliente.__c.runVoidMethod ("MsgboxAsync",(Object)(BA.ObjectToCharSequence("Por favor captura el nombre de la Tienda")),(Object)(BA.ObjectToCharSequence(RemoteObject.createImmutable("Atención"))),__ref.getField(false, "ba"));
 }else 
{ BA.debugLineNum = 237;BA.debugLine="Else If et_direccion.Text.Length > 3 Then";
Debug.ShouldStop(4096);
if (RemoteObject.solveBoolean(">",__ref.getField(false,"_et_direccion" /*RemoteObject*/ ).runMethod(true,"getText").runMethod(true,"length"),BA.numberCast(double.class, 3))) { 
 BA.debugLineNum = 239;BA.debugLine="If lat <> 0 Then";
Debug.ShouldStop(16384);
if (RemoteObject.solveBoolean("!",__ref.getField(true,"_lat" /*RemoteObject*/ ),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 241;BA.debugLine="If giros <> \"SELECCIONA UNA OPCIÓN\" Or cb_gir";
Debug.ShouldStop(65536);
if (RemoteObject.solveBoolean("!",__ref.getField(true,"_giros" /*RemoteObject*/ ),BA.ObjectToString("SELECCIONA UNA OPCIÓN")) || RemoteObject.solveBoolean("!",__ref.getField(false,"_cb_giro" /*RemoteObject*/ ).runClassMethod (SHARK2.keymon.com.mx.b4xcombobox.class, "_getselecteditem" /*RemoteObject*/ ),BA.ObjectToString("SELECCIONA UNA OPCIÓN"))) { 
 BA.debugLineNum = 243;BA.debugLine="If ET_Atiende.Text <> \"\" Then";
Debug.ShouldStop(262144);
if (RemoteObject.solveBoolean("!",__ref.getField(false,"_et_atiende" /*RemoteObject*/ ).runMethod(true,"getText"),BA.ObjectToString(""))) { 
 BA.debugLineNum = 244;BA.debugLine="If et_colonia.Text <> \"\" Then";
Debug.ShouldStop(524288);
if (RemoteObject.solveBoolean("!",__ref.getField(false,"_et_colonia" /*RemoteObject*/ ).runMethod(true,"getText"),BA.ObjectToString(""))) { 
 BA.debugLineNum = 245;BA.debugLine="If et_colonia.Text <> \"\" Then";
Debug.ShouldStop(1048576);
if (RemoteObject.solveBoolean("!",__ref.getField(false,"_et_colonia" /*RemoteObject*/ ).runMethod(true,"getText"),BA.ObjectToString(""))) { 
 BA.debugLineNum = 246;BA.debugLine="If et_cp.Text <> \"\" Then";
Debug.ShouldStop(2097152);
if (RemoteObject.solveBoolean("!",__ref.getField(false,"_et_cp" /*RemoteObject*/ ).runMethod(true,"getText"),BA.ObjectToString(""))) { 
 BA.debugLineNum = 248;BA.debugLine="DateTime.DateFormat = \"MM/dd/yyyy\"";
Debug.ShouldStop(8388608);
c_nuevocliente.__c.getField(false,"DateTime").runMethod(true,"setDateFormat",BA.ObjectToString("MM/dd/yyyy"));
 BA.debugLineNum = 249;BA.debugLine="DateTime.Timeformat = \"HHmmss\"";
Debug.ShouldStop(16777216);
c_nuevocliente.__c.getField(false,"DateTime").runMethod(true,"setTimeFormat",BA.ObjectToString("HHmmss"));
 BA.debugLineNum = 250;BA.debugLine="sDate = DateTime.Date(DateTime.Now)";
Debug.ShouldStop(33554432);
__ref.setField ("_sdate" /*RemoteObject*/ ,c_nuevocliente.__c.getField(false,"DateTime").runMethod(true,"Date",(Object)(c_nuevocliente.__c.getField(false,"DateTime").runMethod(true,"getNow"))));
 BA.debugLineNum = 251;BA.debugLine="sTime = DateTime.Time(DateTime.Now)";
Debug.ShouldStop(67108864);
__ref.setField ("_stime" /*RemoteObject*/ ,c_nuevocliente.__c.getField(false,"DateTime").runMethod(true,"Time",(Object)(c_nuevocliente.__c.getField(false,"DateTime").runMethod(true,"getNow"))));
 BA.debugLineNum = 252;BA.debugLine="Log($\" ////////////   Date: ${sDate} - T";
Debug.ShouldStop(134217728);
c_nuevocliente.__c.runVoidMethod ("LogImpl","516908320",(RemoteObject.concat(RemoteObject.createImmutable(" ////////////   Date: "),c_nuevocliente.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((__ref.getField(true,"_sdate" /*RemoteObject*/ )))),RemoteObject.createImmutable(" - Time: "),c_nuevocliente.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((__ref.getField(true,"_stime" /*RemoteObject*/ )))),RemoteObject.createImmutable(" ////////////////"))),0);
 BA.debugLineNum = 254;BA.debugLine="Private hora As String = sTime.SubString";
Debug.ShouldStop(536870912);
_hora = __ref.getField(true,"_stime" /*RemoteObject*/ ).runMethod(true,"substring",(Object)(BA.numberCast(int.class, 0)),(Object)(BA.numberCast(int.class, 2)));Debug.locals.put("hora", _hora);Debug.locals.put("hora", _hora);
 BA.debugLineNum = 255;BA.debugLine="Private mins As String = sTime.SubString";
Debug.ShouldStop(1073741824);
_mins = __ref.getField(true,"_stime" /*RemoteObject*/ ).runMethod(true,"substring",(Object)(BA.numberCast(int.class, 2)),(Object)(BA.numberCast(int.class, 4)));Debug.locals.put("mins", _mins);Debug.locals.put("mins", _mins);
 BA.debugLineNum = 256;BA.debugLine="Private segs As String = sTime.SubString";
Debug.ShouldStop(-2147483648);
_segs = __ref.getField(true,"_stime" /*RemoteObject*/ ).runMethod(true,"substring",(Object)(BA.numberCast(int.class, 4)));Debug.locals.put("segs", _segs);Debug.locals.put("segs", _segs);
 BA.debugLineNum = 257;BA.debugLine="sTime = hora & \":\" & mins & \":\" & segs";
Debug.ShouldStop(1);
__ref.setField ("_stime" /*RemoteObject*/ ,RemoteObject.concat(_hora,RemoteObject.createImmutable(":"),_mins,RemoteObject.createImmutable(":"),_segs));
 BA.debugLineNum = 258;BA.debugLine="Log(\"////////////// sTime: \"&sTime&\" ///";
Debug.ShouldStop(2);
c_nuevocliente.__c.runVoidMethod ("LogImpl","516908326",RemoteObject.concat(RemoteObject.createImmutable("////////////// sTime: "),__ref.getField(true,"_stime" /*RemoteObject*/ ),RemoteObject.createImmutable(" ////////////////")),0);
 BA.debugLineNum = 259;BA.debugLine="c = Starter.skmt.ExecQuery(\"select CAT_C";
Debug.ShouldStop(4);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_nuevocliente._starter._skmt /*RemoteObject*/ .runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select CAT_CL_RUTA FROM kmt_info"))));
 BA.debugLineNum = 260;BA.debugLine="c.Position = 0";
Debug.ShouldStop(8);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 261;BA.debugLine="no_ruta = c.GetString(\"CAT_CL_RUTA\")";
Debug.ShouldStop(16);
__ref.setField ("_no_ruta" /*RemoteObject*/ ,__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_RUTA"))));
 BA.debugLineNum = 262;BA.debugLine="no_cliente = \"N\" & sTime & no_ruta";
Debug.ShouldStop(32);
__ref.setField ("_no_cliente" /*RemoteObject*/ ,RemoteObject.concat(RemoteObject.createImmutable("N"),__ref.getField(true,"_stime" /*RemoteObject*/ ),__ref.getField(true,"_no_ruta" /*RemoteObject*/ )));
 BA.debugLineNum = 263;BA.debugLine="Log(\"++ ++ no_cliente = \"&no_cliente)";
Debug.ShouldStop(64);
c_nuevocliente.__c.runVoidMethod ("LogImpl","516908331",RemoteObject.concat(RemoteObject.createImmutable("++ ++ no_cliente = "),__ref.getField(true,"_no_cliente" /*RemoteObject*/ )),0);
 BA.debugLineNum = 264;BA.debugLine="c.Close";
Debug.ShouldStop(128);
__ref.getField(false,"_c" /*RemoteObject*/ ).runVoidMethod ("Close");
 BA.debugLineNum = 266;BA.debugLine="Starter.skmt.ExecNonQuery2(\"INSERT INTO";
Debug.ShouldStop(512);
c_nuevocliente._starter._skmt /*RemoteObject*/ .runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("INSERT INTO HIST_STAY_STORE(HSS_CODIGO,  HSS_IN , HSS_OUT , HSS_TOT) VALUES (?,0,0,0)")),(Object)(c_nuevocliente.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(__ref.getField(true,"_no_cliente" /*RemoteObject*/ ))})))));
 BA.debugLineNum = 267;BA.debugLine="Starter.skmt.ExecNonQuery(\"delete from C";
Debug.ShouldStop(1024);
c_nuevocliente._starter._skmt /*RemoteObject*/ .runVoidMethod ("ExecNonQuery",(Object)(RemoteObject.createImmutable("delete from CUENTAA")));
 BA.debugLineNum = 268;BA.debugLine="Starter.skmt.ExecNonQuery2(\"INSERT INTO";
Debug.ShouldStop(2048);
c_nuevocliente._starter._skmt /*RemoteObject*/ .runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("INSERT INTO CUENTAA VALUES (?)")),(Object)(c_nuevocliente.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(__ref.getField(true,"_no_cliente" /*RemoteObject*/ ))})))));
 BA.debugLineNum = 269;BA.debugLine="c = Starter.skmt.ExecQuery(\"select ID_AL";
Debug.ShouldStop(4096);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_nuevocliente._starter._skmt /*RemoteObject*/ .runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select ID_ALMACEN from CAT_ALMACEN"))));
 BA.debugLineNum = 270;BA.debugLine="If c.RowCount > 0 Then";
Debug.ShouldStop(8192);
if (RemoteObject.solveBoolean(">",__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 271;BA.debugLine="c.Position = 0";
Debug.ShouldStop(16384);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 272;BA.debugLine="ALMACEN = c.GetString(\"ID_ALMACEN\")";
Debug.ShouldStop(32768);
__ref.setField ("_almacen" /*RemoteObject*/ ,__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("ID_ALMACEN"))));
 };
 BA.debugLineNum = 274;BA.debugLine="c.Close";
Debug.ShouldStop(131072);
__ref.getField(false,"_c" /*RemoteObject*/ ).runVoidMethod ("Close");
 BA.debugLineNum = 275;BA.debugLine="c = Starter.skmt.ExecQuery(\"select usuar";
Debug.ShouldStop(262144);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_nuevocliente._starter._skmt /*RemoteObject*/ .runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select usuario from usuarioa"))));
 BA.debugLineNum = 276;BA.debugLine="c.Position = 0";
Debug.ShouldStop(524288);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 277;BA.debugLine="usuario = c.GetString(\"USUARIO\")";
Debug.ShouldStop(1048576);
__ref.setField ("_usuario" /*RemoteObject*/ ,__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("USUARIO"))));
 BA.debugLineNum = 278;BA.debugLine="c.Close";
Debug.ShouldStop(2097152);
__ref.getField(false,"_c" /*RemoteObject*/ ).runVoidMethod ("Close");
 BA.debugLineNum = 282;BA.debugLine="DateTime.DateFormat = \"dd/MM/yyyy\"";
Debug.ShouldStop(33554432);
c_nuevocliente.__c.getField(false,"DateTime").runMethod(true,"setDateFormat",BA.ObjectToString("dd/MM/yyyy"));
 BA.debugLineNum = 283;BA.debugLine="DateTime.Timeformat = \"HH:mm:ss\"";
Debug.ShouldStop(67108864);
c_nuevocliente.__c.getField(false,"DateTime").runMethod(true,"setTimeFormat",BA.ObjectToString("HH:mm:ss"));
 BA.debugLineNum = 284;BA.debugLine="sDate2 = DateTime.Date(DateTime.Now)";
Debug.ShouldStop(134217728);
__ref.setField ("_sdate2" /*RemoteObject*/ ,c_nuevocliente.__c.getField(false,"DateTime").runMethod(true,"Date",(Object)(c_nuevocliente.__c.getField(false,"DateTime").runMethod(true,"getNow"))));
 BA.debugLineNum = 285;BA.debugLine="sTime2 = DateTime.Time(DateTime.Now)";
Debug.ShouldStop(268435456);
__ref.setField ("_stime2" /*RemoteObject*/ ,c_nuevocliente.__c.getField(false,"DateTime").runMethod(true,"Time",(Object)(c_nuevocliente.__c.getField(false,"DateTime").runMethod(true,"getNow"))));
 BA.debugLineNum = 287;BA.debugLine="Starter.skmt.ExecNonQuery2(\"INSERT INTO";
Debug.ShouldStop(1073741824);
c_nuevocliente._starter._skmt /*RemoteObject*/ .runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("INSERT INTO kmt_info(CAT_CL_CODIGO,CAT_CL_RUTA,CAT_CL_NOMBRE,CAT_CL_ATIENDE1,CAT_CL_ATIENTE2,CAT_CL_TELEFONO,CAT_CL_EMAIL,CAT_CL_CALLE,CAT_CL_NOEXT,CAT_CL_NOINT,CAT_CL_CALLE1,CAT_CL_CALLE2,CAT_CL_COLONIA,CAT_CL_MUNI,CAT_CL_EDO,CAT_CL_CP,CAT_CL_LONG,CAT_CL_LAT,CAT_CL_MTOCOMPRA,CAT_CL_NUM_SERIEFISICO, gestion, CAT_CL_GIRO,CAT_CL_CP) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,0,0,0,?,?) ")),(Object)(c_nuevocliente.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {20},new Object[] {(__ref.getField(true,"_no_cliente" /*RemoteObject*/ )),(__ref.getField(true,"_no_ruta" /*RemoteObject*/ )),(__ref.getField(false,"_e_nombre" /*RemoteObject*/ ).runMethod(true,"getText")),RemoteObject.createImmutable(("null")),RemoteObject.createImmutable(("null")),RemoteObject.createImmutable(("null")),RemoteObject.createImmutable(("null")),RemoteObject.createImmutable(("null")),RemoteObject.createImmutable(("null")),RemoteObject.createImmutable(("null")),RemoteObject.createImmutable(("null")),RemoteObject.createImmutable(("null")),RemoteObject.createImmutable(("null")),RemoteObject.createImmutable(("null")),RemoteObject.createImmutable(("null")),RemoteObject.createImmutable(("null")),(c_nuevocliente._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(true,"_lon_gps" /*RemoteObject*/ )),(c_nuevocliente._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(true,"_lat_gps" /*RemoteObject*/ )),(__ref.getField(false,"_cb_giro" /*RemoteObject*/ ).runClassMethod (SHARK2.keymon.com.mx.b4xcombobox.class, "_getselecteditem" /*RemoteObject*/ )),(__ref.getField(false,"_et_cp" /*RemoteObject*/ ).runMethod(true,"getText"))})))));
 BA.debugLineNum = 288;BA.debugLine="Starter.skmt.ExecNonQuery2(\"INSERT INTO";
Debug.ShouldStop(-2147483648);
c_nuevocliente._starter._skmt /*RemoteObject*/ .runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("INSERT INTO CLIENTES_NUEVOS(CN_ID, CN_FECHA, CN_USER, CN_LAT, CN_LON, CN_NOMBRE, CN_DIRECCION, CN_ALMACEN, CN_RUTA, CN_GIRO, CN_SOLICITA,CN_COLONIA, CN_TELEFONO,CN_CP) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?)")),(Object)(c_nuevocliente.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("String",new int[] {14},new Object[] {__ref.getField(true,"_no_cliente" /*RemoteObject*/ ),RemoteObject.concat(__ref.getField(true,"_sdate2" /*RemoteObject*/ ),RemoteObject.createImmutable(" "),__ref.getField(true,"_stime2" /*RemoteObject*/ )),__ref.getField(true,"_usuario" /*RemoteObject*/ ),BA.NumberToString(__ref.getField(true,"_lat" /*RemoteObject*/ )),BA.NumberToString(__ref.getField(true,"_lon" /*RemoteObject*/ )),__ref.getField(false,"_e_nombre" /*RemoteObject*/ ).runMethod(true,"getText"),__ref.getField(false,"_et_direccion" /*RemoteObject*/ ).runMethod(true,"getText"),__ref.getField(true,"_almacen" /*RemoteObject*/ ),__ref.getField(true,"_no_ruta" /*RemoteObject*/ ),__ref.getField(false,"_cb_giro" /*RemoteObject*/ ).runClassMethod (SHARK2.keymon.com.mx.b4xcombobox.class, "_getselecteditem" /*RemoteObject*/ ),__ref.getField(false,"_et_atiende" /*RemoteObject*/ ).runMethod(true,"getText"),__ref.getField(false,"_et_colonia" /*RemoteObject*/ ).runMethod(true,"getText"),__ref.getField(false,"_et_telefono" /*RemoteObject*/ ).runMethod(true,"getText"),__ref.getField(false,"_et_cp" /*RemoteObject*/ ).runMethod(true,"getText")})))));
 BA.debugLineNum = 290;BA.debugLine="B4XPages.ShowPage(\"Cliente\")";
Debug.ShouldStop(2);
c_nuevocliente._b4xpages.runVoidMethod ("_showpage" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(RemoteObject.createImmutable("Cliente")));
 BA.debugLineNum = 291;BA.debugLine="CallSubDelayed(Tracker, \"StartFLP\")";
Debug.ShouldStop(4);
c_nuevocliente.__c.runVoidMethod ("CallSubDelayed",__ref.getField(false, "ba"),(Object)((c_nuevocliente._tracker.getObject())),(Object)(RemoteObject.createImmutable("StartFLP")));
 }else {
 BA.debugLineNum = 293;BA.debugLine="MsgboxAsync(\"Por favor, debe capturar el";
Debug.ShouldStop(16);
c_nuevocliente.__c.runVoidMethod ("MsgboxAsync",(Object)(BA.ObjectToCharSequence("Por favor, debe capturar el C.P. el negocio.")),(Object)(BA.ObjectToCharSequence(RemoteObject.createImmutable("Atención"))),__ref.getField(false, "ba"));
 };
 }else {
 BA.debugLineNum = 296;BA.debugLine="MsgboxAsync(\"Por favor, debe capturar la";
Debug.ShouldStop(128);
c_nuevocliente.__c.runVoidMethod ("MsgboxAsync",(Object)(BA.ObjectToCharSequence("Por favor, debe capturar la colonia el negocio.")),(Object)(BA.ObjectToCharSequence(RemoteObject.createImmutable("Atención"))),__ref.getField(false, "ba"));
 };
 }else {
 BA.debugLineNum = 299;BA.debugLine="MsgboxAsync(\"Por favor, debe capturar el t";
Debug.ShouldStop(1024);
c_nuevocliente.__c.runVoidMethod ("MsgboxAsync",(Object)(BA.ObjectToCharSequence("Por favor, debe capturar el telfono.")),(Object)(BA.ObjectToCharSequence(RemoteObject.createImmutable("Atención"))),__ref.getField(false, "ba"));
 };
 }else {
 BA.debugLineNum = 303;BA.debugLine="MsgboxAsync(\"Por favor, debe capturar al en";
Debug.ShouldStop(16384);
c_nuevocliente.__c.runVoidMethod ("MsgboxAsync",(Object)(BA.ObjectToCharSequence("Por favor, debe capturar al encargado que atiende el negocio.")),(Object)(BA.ObjectToCharSequence(RemoteObject.createImmutable("Atención"))),__ref.getField(false, "ba"));
 };
 }else {
 BA.debugLineNum = 306;BA.debugLine="MsgboxAsync(\"Por favor captura el giro del c";
Debug.ShouldStop(131072);
c_nuevocliente.__c.runVoidMethod ("MsgboxAsync",(Object)(BA.ObjectToCharSequence("Por favor captura el giro del cliente")),(Object)(BA.ObjectToCharSequence(RemoteObject.createImmutable("Atención"))),__ref.getField(false, "ba"));
 };
 }else {
 BA.debugLineNum = 309;BA.debugLine="MsgboxAsync(\"Por favor revisa que tengas seña";
Debug.ShouldStop(1048576);
c_nuevocliente.__c.runVoidMethod ("MsgboxAsync",(Object)(BA.ObjectToCharSequence("Por favor revisa que tengas señal GPS")),(Object)(BA.ObjectToCharSequence(RemoteObject.createImmutable("Atención"))),__ref.getField(false, "ba"));
 };
 }else {
 BA.debugLineNum = 312;BA.debugLine="MsgboxAsync(\"Por favor captura la dirección de";
Debug.ShouldStop(8388608);
c_nuevocliente.__c.runVoidMethod ("MsgboxAsync",(Object)(BA.ObjectToCharSequence("Por favor captura la dirección del cliente")),(Object)(BA.ObjectToCharSequence(RemoteObject.createImmutable("Atención"))),__ref.getField(false, "ba"));
 }}
;
 BA.debugLineNum = 319;BA.debugLine="End Sub";
Debug.ShouldStop(1073741824);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _initialize(RemoteObject __ref,RemoteObject _ba) throws Exception{
try {
		Debug.PushSubsStack("Initialize (c_nuevocliente) ","c_nuevocliente",12,__ref.getField(false, "ba"),__ref,50);
if (RapidSub.canDelegate("initialize")) { return __ref.runUserSub(false, "c_nuevocliente","initialize", __ref, _ba);}
__ref.runVoidMethodAndSync("innerInitializeHelper", _ba);
Debug.locals.put("ba", _ba);
 BA.debugLineNum = 50;BA.debugLine="Public Sub Initialize As Object";
Debug.ShouldStop(131072);
 BA.debugLineNum = 51;BA.debugLine="Return Me";
Debug.ShouldStop(262144);
if (true) return __ref;
 BA.debugLineNum = 52;BA.debugLine="End Sub";
Debug.ShouldStop(524288);
return RemoteObject.createImmutable(null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _p_nuevocliente_click(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("p_nuevoCliente_Click (c_nuevocliente) ","c_nuevocliente",12,__ref.getField(false, "ba"),__ref,324);
if (RapidSub.canDelegate("p_nuevocliente_click")) { return __ref.runUserSub(false, "c_nuevocliente","p_nuevocliente_click", __ref);}
 BA.debugLineNum = 324;BA.debugLine="Private Sub p_nuevoCliente_Click";
Debug.ShouldStop(8);
 BA.debugLineNum = 326;BA.debugLine="End Sub";
Debug.ShouldStop(32);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _pointinpolygon(RemoteObject __ref,RemoteObject _point,RemoteObject _polygon) throws Exception{
try {
		Debug.PushSubsStack("PointInPolygon (c_nuevocliente) ","c_nuevocliente",12,__ref.getField(false, "ba"),__ref,194);
if (RapidSub.canDelegate("pointinpolygon")) { return __ref.runUserSub(false, "c_nuevocliente","pointinpolygon", __ref, _point, _polygon);}
RemoteObject _x = RemoteObject.createImmutable(0);
RemoteObject _y = RemoteObject.createImmutable(0);
RemoteObject _inside = RemoteObject.createImmutable(false);
int _i = 0;
RemoteObject _j = RemoteObject.createImmutable(0);
RemoteObject _p1_1 = RemoteObject.declareNull("anywheresoftware.b4a.objects.MapFragmentWrapper.LatLngWrapper");
RemoteObject _p2_1 = RemoteObject.declareNull("anywheresoftware.b4a.objects.MapFragmentWrapper.LatLngWrapper");
RemoteObject _xi = RemoteObject.createImmutable(0);
RemoteObject _yi = RemoteObject.createImmutable(0);
RemoteObject _xj = RemoteObject.createImmutable(0);
RemoteObject _yj = RemoteObject.createImmutable(0);
RemoteObject _intersect = RemoteObject.createImmutable(false);
Debug.locals.put("point", _point);
Debug.locals.put("polygon", _polygon);
 BA.debugLineNum = 194;BA.debugLine="Sub PointInPolygon(point As LatLng, polygon As Lis";
Debug.ShouldStop(2);
 BA.debugLineNum = 195;BA.debugLine="Dim x As Double = point.Longitude";
Debug.ShouldStop(4);
_x = _point.runMethod(true,"getLongitude");Debug.locals.put("x", _x);Debug.locals.put("x", _x);
 BA.debugLineNum = 196;BA.debugLine="Dim y As Double = point.Latitude";
Debug.ShouldStop(8);
_y = _point.runMethod(true,"getLatitude");Debug.locals.put("y", _y);Debug.locals.put("y", _y);
 BA.debugLineNum = 198;BA.debugLine="Dim inside As Boolean = False";
Debug.ShouldStop(32);
_inside = c_nuevocliente.__c.getField(true,"False");Debug.locals.put("inside", _inside);Debug.locals.put("inside", _inside);
 BA.debugLineNum = 199;BA.debugLine="For i = 0 To polygon.Size - 1";
Debug.ShouldStop(64);
{
final int step4 = 1;
final int limit4 = RemoteObject.solve(new RemoteObject[] {_polygon.runMethod(true,"getSize"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
for (;(step4 > 0 && _i <= limit4) || (step4 < 0 && _i >= limit4) ;_i = ((int)(0 + _i + step4))  ) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 200;BA.debugLine="Dim j As Int = (i + 1) Mod polygon.Size";
Debug.ShouldStop(128);
_j = RemoteObject.solve(new RemoteObject[] {(RemoteObject.solve(new RemoteObject[] {RemoteObject.createImmutable(_i),RemoteObject.createImmutable(1)}, "+",1, 1)),_polygon.runMethod(true,"getSize")}, "%",0, 1);Debug.locals.put("j", _j);Debug.locals.put("j", _j);
 BA.debugLineNum = 201;BA.debugLine="Dim p1_1 As LatLng = polygon.Get(i)";
Debug.ShouldStop(256);
_p1_1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.MapFragmentWrapper.LatLngWrapper");
_p1_1 = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.objects.MapFragmentWrapper.LatLngWrapper"), _polygon.runMethod(false,"Get",(Object)(BA.numberCast(int.class, _i))));Debug.locals.put("p1_1", _p1_1);Debug.locals.put("p1_1", _p1_1);
 BA.debugLineNum = 202;BA.debugLine="Dim p2_1 As LatLng = polygon.Get(j)";
Debug.ShouldStop(512);
_p2_1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.MapFragmentWrapper.LatLngWrapper");
_p2_1 = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.objects.MapFragmentWrapper.LatLngWrapper"), _polygon.runMethod(false,"Get",(Object)(_j)));Debug.locals.put("p2_1", _p2_1);Debug.locals.put("p2_1", _p2_1);
 BA.debugLineNum = 204;BA.debugLine="Dim xi As Double = p1_1.Longitude";
Debug.ShouldStop(2048);
_xi = _p1_1.runMethod(true,"getLongitude");Debug.locals.put("xi", _xi);Debug.locals.put("xi", _xi);
 BA.debugLineNum = 205;BA.debugLine="Dim yi As Double = p1_1.Latitude";
Debug.ShouldStop(4096);
_yi = _p1_1.runMethod(true,"getLatitude");Debug.locals.put("yi", _yi);Debug.locals.put("yi", _yi);
 BA.debugLineNum = 206;BA.debugLine="Dim xj As Double = p2_1.Longitude";
Debug.ShouldStop(8192);
_xj = _p2_1.runMethod(true,"getLongitude");Debug.locals.put("xj", _xj);Debug.locals.put("xj", _xj);
 BA.debugLineNum = 207;BA.debugLine="Dim yj As Double = p2_1.Latitude";
Debug.ShouldStop(16384);
_yj = _p2_1.runMethod(true,"getLatitude");Debug.locals.put("yj", _yj);Debug.locals.put("yj", _yj);
 BA.debugLineNum = 209;BA.debugLine="Dim intersect As Boolean = ((yi > y) <> (yj > y)";
Debug.ShouldStop(65536);
_intersect = BA.ObjectToBoolean(RemoteObject.solveBoolean(".",BA.ObjectToBoolean((RemoteObject.solveBoolean("!",RemoteObject.createImmutable((RemoteObject.solveBoolean(">",_yi,_y))),BA.ObjectToBoolean((RemoteObject.solveBoolean(">",_yj,_y))))))) && RemoteObject.solveBoolean(".",BA.ObjectToBoolean((RemoteObject.solveBoolean("<",_x,RemoteObject.solve(new RemoteObject[] {(RemoteObject.solve(new RemoteObject[] {_xj,_xi}, "-",1, 0)),(RemoteObject.solve(new RemoteObject[] {_y,_yi}, "-",1, 0)),(RemoteObject.solve(new RemoteObject[] {_yj,_yi}, "-",1, 0)),_xi}, "*/+",1, 0))))));Debug.locals.put("intersect", _intersect);Debug.locals.put("intersect", _intersect);
 BA.debugLineNum = 210;BA.debugLine="If intersect Then";
Debug.ShouldStop(131072);
if (_intersect.<Boolean>get().booleanValue()) { 
 BA.debugLineNum = 211;BA.debugLine="inside = Not(inside)";
Debug.ShouldStop(262144);
_inside = c_nuevocliente.__c.runMethod(true,"Not",(Object)(_inside));Debug.locals.put("inside", _inside);
 };
 }
}Debug.locals.put("i", _i);
;
 BA.debugLineNum = 215;BA.debugLine="Return inside";
Debug.ShouldStop(4194304);
if (true) return _inside;
 BA.debugLineNum = 218;BA.debugLine="End Sub";
Debug.ShouldStop(33554432);
return RemoteObject.createImmutable(false);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}